be.fgov.ehealth.genericinsurability.core.v1

## Class PeriodType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.PeriodType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:56:55+02:00",
                 comments="JAXB RI v2.3.7")
      public class PeriodType
      extends Object
      implements Serializable

  Java class for PeriodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PeriodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="PeriodEnd" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getPeriodEnd()` Gets the value of the periodEnd property.
    `org.joda.time.DateTime` | `getPeriodStart()` Gets the value of the periodStart property.
    `void` | `setPeriodEnd(org.joda.time.DateTime value)` Sets the value of the periodEnd property.
    `void` | `setPeriodStart(org.joda.time.DateTime value)` Sets the value of the periodStart property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodType

          public PeriodType()

  - ### Method Detail

    - #### getPeriodStart

          public org.joda.time.DateTime getPeriodStart()

      Gets the value of the periodStart property.
      Returns:
        possible object is `String`

    - #### setPeriodStart

          public void setPeriodStart(org.joda.time.DateTime value)

      Sets the value of the periodStart property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPeriodEnd

          public org.joda.time.DateTime getPeriodEnd()

      Gets the value of the periodEnd property.
      Returns:
        possible object is `String`

    - #### setPeriodEnd

          public void setPeriodEnd(org.joda.time.DateTime value)

      Sets the value of the periodEnd property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSDENTIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.